cURL
curl --request POST \ --url https://whitebit.com/api/v4/sub-account/api-key/list \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "subAccountId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51", "limit": 30, "offset": 0 } '
{ "limit": 123, "offset": 123, "data": [ { "subAccountId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51", "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "title": "Trading Bot Key", "isEnabled": true, "apiKey": "pub-key-abc123", "apiSecret": "", "type": "1", "lastActivity": 1641081600, "restrictAccess": false, "accessEndpoints": [ { "name": "/api/v4/main-account/balance", "title": "Get Balance" } ] } ] }
apiSecret
API key authentication using signed requests
ID of the sub-account to list API keys for
"8e667b4a-0b71-4988-8af5-9474dbfaeb51"
1 <= x <= 100
30
0 <= x <= 10000
0
Successful response
Show child attributes
Was this page helpful?